

  nav {
    position: fixed;
    top: 0;
    width: 100%;
    display: grid;
    grid-template-columns: auto 1fr repeat(2, auto);
    align-items: center;
    gap: 1.44rem;
    padding: 0 1rem;
    height: 60px;
    background-color:#b48c55cf;
    z-index: 999;
    
  }
  nav a:first-child {
    font-weight: bold;
    text-transform: uppercase;
    grid-column: 1; 
  }

  nav a:not(:first-child) {
    justify-self: end;
  }
  a{
    font-family: sexsmith, santa child;
    text-decoration: none;
  }

  a:link,
  a:visited {
    color:#9B97C9;
    transition: color 0.5s;
  }

  a:hover,
  a:focus {
    color:#608745;
    text-decoration: none;
  }
  a:active {
    color:#c99de8;
  }
  header {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    place-items: self-end; 
    height: 40vh; 
    width: 100%;
    overflow: hidden;
  }

  header img {
    grid-column: 1;
    grid-row: 1;
    width: 100%;
  }

  header h1 {
    grid-column: 1;
    grid-row: 1;
    z-index: 1; 
    width: 100%;
    transform: translateY(2rem);
    opacity: 0;
    animation: fadeInUp 0.6s ease-out forwards;
    animation-delay: 0.6s; 

  }

  #gallery figure{
    overflow: hidden;
    cursor: pointer; 
  }

  #gallery img{
    transition: transform 0.5s;
  }

  #gallery figure:hover img{
    transform: scale(1.2);
    
  }

  dialog {
    display: none;
    opacity: 0;
    transform: scale(0.9) translateY(20px);
    border: none;
    margin: auto;
    padding: 0;
    transition: all 0.4s ease-out allow-discrete;
    place-items: center;
  }

  dialog[open] {
    display: grid;
    opacity: 1;
    transform: scale(1) translateY(0);
  }
  @starting-style {
    dialog[open] {
      opacity: 0;
      transform: scale(0.9) translateY(20px);
    }
  }

  dialog::backdrop {
    background-color:#B48D55;
    transition: all 0.4s ease-out, display 0.4s allow-discrete, overlay 0.4s allow-discrete;
  }
  
  @starting-style {
    dialog[open]::backdrop {
      background-color:#B48D55;
    }
  }

  dialog[open]::backdrop {
    background-color:#B48D55;
  }
  dialog button {
    background: none;
    border: 2px solid #c99de8;
    color:#c99de8;
    font-family: inherit;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 0.05rem;
    cursor: pointer;
    width: 100%;
    transition: all 0.3s ease;
    padding: 0.482rem;
  }

  dialog form{
    width: 100%;
    text-align: center;
    padding: 0 1.2rem 0.6rem;
  
  }

  dialog button:hover {
    background-color:#9B97C9; 
    color:#608745;
  }

  dialog button:active {
    transform: scale(0.95);
  }

    dialog button:focus {
      outline: none; 
      box-shadow: 0 0 0 3px ; 
      border-color:#608745;
    }

@keyframes fadeInUp {
  0%{
    opacity: 0;
    transform: translateY(2.44rem);
  }
  100%{
    opacity: 1;
    transform: translateY(0);
  }
  
}

@media screen and (min-width: 550px) {
  header img{
    aspect-ratio: 16/9;
    object-fit: cover;
    object-position: center center;
  }
}

@media screen and (min-width: 800px) {
  header img{
    aspect-ratio: 16/6;
  }
}